6.0.0-git
2019-04-25

[#12228] Purge deleted doesn't work for large mailboxes
Summary Purge deleted doesn't work for large mailboxes
Queue IMP
Queue Version 6.0.4
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester azurit (at) pobox (dot) sk
Created 2013-04-30 (2186 days ago)
Due
Updated 2013-05-01 (2185 days ago)
Assigned
Resolved 2013-05-01 (2185 days ago)
Milestone
Patch No

History
2013-05-01 04:57:33 Michael Slusarz Comment #5
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Horde_Imap_Client 2.9.0
2013-05-01 04:57:10 Michael Slusarz Comment #4 Reply to this comment
BTW, it looks like Horde was trying to delete *all* messages in my INBOX.
How so?  A UID EXPUNGE [all UIDs in mailbox] does NOT mean you are 
trying to delete all messages.  If you are seeing a STORE +FLAGS 
(\deleted) for all messages, then that is a different story.
2013-05-01 04:54:10 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit e42354e8277d454f758ac4c54ade4471f47a0ef7
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Apr 30 22:53:37 2013 -0600

     [mms] Support UID EXPUNGE command for large UID lists (Bug #12228).

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   16 ++++++----------
  framework/Imap_Client/package.xml                  |    2 ++
  2 files changed, 8 insertions(+), 10 deletions(-)

http://git.horde.org/horde-git/-/commit/e42354e8277d454f758ac4c54ade4471f47a0ef7
2013-04-30 08:00:26 azurit (at) pobox (dot) sk Comment #2 Reply to this comment
BTW, it looks like Horde was trying to delete *all* messages in my INBOX.
2013-04-30 07:55:18 azurit (at) pobox (dot) sk Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Purge deleted doesn't work for large mailboxes
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
New Attachment: imp-debug.txt Download
Reply to this comment
I'm getting this error when trying to purge deleted messages in 
mailbox with > 3300 messages:
Fatal error: max atom size too small: No such file or directory

Courier IMAP, attaching IMAP log.

By the way, there are NO deleted messages in the mailbox (when i use 
filter and show deleted messages, none are found).

Saved Queries